<?php

// Verificar el perfil del usuario
if($_SESSION["perfil"] == "Especial" || $_SESSION["perfil"] == "Vendedor"){
  echo '<script>
    window.location = "inicio";
  </script>';
  return;
}

?>
<div class="content-wrapper">

  <section class="content-header">
    
    <h1>
      Reportes de ventas y compras
    </h1>

    <ol class="breadcrumb">
      <li><a href="inicio"><i class="fa fa-dashboard"></i> Inicio</a></li>
      <li class="active">Reportes de ventas y compras</li>
    </ol>

  </section>

  <section class="content">

    <div class="box">

      <div class="box-header with-border">

        <div class="input-group">

          <button type="button" class="btn btn-default" id="daterange-btn2">
            <span>
              <i class="fa fa-calendar"></i> 
              <?php
                // Verificar si se han pasado las fechas 'fechaInicial' y 'fechaFinal'
                if(isset($_GET["fechaInicial"]) && isset($_GET["fechaFinal"])) {
                  // Mostrar el rango de fechas tal como están en los parámetros GET
                  echo $_GET["fechaInicial"] . " - " . $_GET["fechaFinal"];
                } else {
                  // Si no se pasaron las fechas, mostrar 'Rango de fecha' por defecto
                  echo 'Rango de fecha';
                }
              ?>
            </span>
            <i class="fa fa-caret-down"></i>
          </button>


        </div>

        <div class="box-tools pull-right">

          <!-- Botón de ventas -->
          <?php
            if(isset($_GET["fechaInicial"])) {
                echo '<a href="vistas/modulos/descargar-reporte.php?reporte=compras_por_recibo&fechaInicial=' . $_GET["fechaInicial"] . '&fechaFinal=' . $_GET["fechaFinal"] . '" target="_blank">';
            } else {
                echo '<a href="vistas/modulos/descargar-reporte.php?reporte=compras_por_recibo" target="_blank">';
            }
            ?>
            <button class="btn btn-success" style="margin-top:5px">
                Descargar compras por recibo
            </button>
            </a>


          <!-- Botón de compras -->
          <?php
            if(isset($_GET["fechaInicial"])){
              echo '<a href="vistas/modulos/descargar-reporte.php?reporte=productos_compras_agrupados&fechaInicial='.$_GET["fechaInicial"].'&fechaFinal='.$_GET["fechaFinal"].'" target="_blank">';
            } else {
              echo '<a href="vistas/modulos/descargar-reporte.php?reporte=productos_compras_agrupados" target="_blank">';
            }
            ?>
              <button class="btn btn-info" style="margin-top:5px;">
                Descargar productos comprados
              </button>
            </a>

          
                    <!-- Botón de ventas por recibo -->
          <?php
          if(isset($_GET["fechaInicial"])){
            echo '<a href="vistas/modulos/descargar-reporte.php?reporte=ventas_por_recibo&fechaInicial='.$_GET["fechaInicial"].'&fechaFinal='.$_GET["fechaFinal"].'" target="_blank">';
          } else {
            echo '<a href="vistas/modulos/descargar-reporte.php?reporte=ventas_por_recibo" target="_blank">';
          }
          ?>
          <button class="btn btn-info" style="margin-top:5px">Descargar ventas por recibo</button>
          </a>

          <?php
            if(isset($_GET["fechaInicial"])){
                echo '<a href="vistas/modulos/descargar-reporte.php?reporte=detalle-productos&fechaInicial='.$_GET["fechaInicial"].'&fechaFinal='.$_GET["fechaFinal"].'" target="_blank">';
            } else {
                echo '<a href="vistas/modulos/descargar-reporte.php?reporte=detalle-productos" target="_blank">';
            }
            ?>
            <button class="btn btn-info" style="margin-top:5px">Descargar ventas Detalle de Productos</button>
            </a>


        </div>

      </div>

      <div class="box-body">
        
        <div class="row">

          <div class="col-xs-12">
            <?php
            include "reportes/grafico-ventas.php";
            ?>
          </div>

           <div class="col-md-6 col-xs-12">
            <?php
            include "reportes/productos-mas-vendidos.php";
            ?>
           </div>

           <div class="col-md-6 col-xs-12">
            <?php
            include "reportes/vendedores.php";
            ?>
           </div>

           <div class="col-md-6 col-xs-12">
            <?php
            include "reportes/compradores.php";
            ?>
           </div>

        </div>

      </div>

    </div>

  </section>
</div>
